Changes current state of buffering for the large object

- « OCILob::seek

- OCILob::size »

- PHP Manual
- OCILob
- Changes current state of buffering for the large object

# OCILob::setBuffering

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCILob::setBuffering — Changes current state of buffering for the large object

### Description

public OCILob::setBuffering(bool `$mode`): bool

Sets the buffering for the large object, depending on the value of the `mode` parameter.

Use of this function may provide performance improvements by buffering small reads and writes of LOBs by reducing the number of network round-trips and LOB versions. OCILob::flush() should be used to flush buffers, when you have finished working with the large object.

### Parameters

`mode`

  `true` for on and `false` for off.

### Return Values

Returns `true` on success or `false` on failure. Repeated calls to this method with the same flag will return `true`.

### Changelog

Version | Description
--- | ---
8.0.0, PECL OCI8 3.0.0 | The OCI-Lob class was renamed to OCILob to align with PHP naming standards.

### See Also

- OCILob::getBuffering